a {
    text-decoration: none;
    font-size: 20px;
    margin: 0 15px 0 0;
}

a.background:hover {
    background-color: darksalmon;
}

a.color:hover {
    color: red;
}

a.border:hover {
    border-bottom: 1px solid red;
}

a.font-size:hover {
    font-size: 30px;
}

a.font-weight:hover {
    font-weight: bolder;
}

/*-----*/

.hover.optional {
    margin: 100px 0 0 0;
}

.border-pseudo {
    width: 300px;
    display: inline-block;
}

.border-pseudo:after,
.border-pseudo:before {
    content: '';
    display: block;
    border: 5px solid transparent;
    padding-bottom: 0;
}

.border-pseudo:hover:after,
.border-pseudo:hover:before {
    border-bottom: 5px solid red;
}